Page MenuHomePhabricator

rust-chg: add helper to parse instructions sent from server
ClosedPublic

Authored by yuja on Apr 6 2020, 10:19 AM.

Details

Summary

This is well structured version of runinstructions() of chg.c.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuja created this revision.Apr 6 2020, 10:19 AM
Alphare accepted this revision.Apr 8 2020, 4:03 AM
Alphare added a subscriber: Alphare.

I had to squint hard at the c code to find any discrepancy, of which there seems to be none.

pulkit accepted this revision.Apr 9 2020, 6:36 AM
This revision is now accepted and ready to land.Apr 9 2020, 6:36 AM
pulkit added a comment.Apr 9 2020, 6:38 AM

Queued the whole series based on @Alphare review. Many thanks to both of you.

This revision was automatically updated to reflect the committed changes.